=== debian/changelog ===
ros-one-point-cloud-transport (1.0.11-0jammy.20251023.1243) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 23 Oct 2025 12:43:44 +0000

ros-one-point-cloud-transport (1.0.11-0jammy) jammy; urgency=high

  * Fixed bad_expected_access error when pointcloud encoding fails.
  * Added known transports to readme.
  * Update README.md
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 16 Jun 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.10-0jammy) jammy; urgency=high

  * Fixed wrong dependency version.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 24 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.9-0jammy) jammy; urgency=high

  * Fixed bad_expected_access bug in simple_subscriber_plugin.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 23 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.8-0jammy) jammy; urgency=high

  * Upstreamed NumberAllocator to cras_py_common.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.7-0jammy) jammy; urgency=high

  * Upstreamed Python support functions to cras_py_common v 2.2.1.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.6-0jammy) jammy; urgency=high

  * Split Python API into several files.
  * Improved Python API to allow the pub/sub-like usage.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.5-0jammy) jammy; urgency=high

  * Fixed bug in republish. Plugin blacklist was acting exactly the opposite way.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.4-0jammy) jammy; urgency=high

  * Turned republish into a nodelet (but kept its node version).
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.3-0jammy) jammy; urgency=high

  * Added Python API for encode()/decode().
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 11 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.2-0jammy) jammy; urgency=high

  * Added possibility to report log messages.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 11 May 2023 00:00:00 -0000

ros-one-point-cloud-transport (1.0.1-0jammy) jammy; urgency=high

  * Reworked the idea to include direct encoders/decoders and not only publishers/subscribers.
  * Initial cleanup before releasing. No substantial changes made.
  * Forked from https://github.com/paplhjak/point_cloud_transport
  * Contributors: Jakub Paplham, Martin Pecka, Tomas Petricek

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 11 May 2023 00:00:00 -0000
