=== debian/control ===
Source: ros-one-point-cloud-transport
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin, ros-one-cras-cpp-common, ros-one-cras-topic-tools, ros-one-dynamic-reconfigure, ros-one-message-generation, ros-one-nodelet, ros-one-pluginlib, ros-one-roscpp, ros-one-sensor-msgs, ros-one-topic-tools
Homepage: https://wiki.ros.org/point_cloud_transport
Standards-Version: 3.9.2

Package: ros-one-point-cloud-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-cras-cpp-common, ros-one-cras-py-common (>= 2.2.2), ros-one-cras-topic-tools, ros-one-dynamic-reconfigure, ros-one-message-filters, ros-one-message-runtime, ros-one-nodelet, ros-one-pluginlib, ros-one-roscpp, ros-one-sensor-msgs, ros-one-topic-tools
Description: Support for transporting PointCloud2 messages in compressed format and plugin interface for implementing additional PointCloud2 transports.
