## ros-one-point-cloud-transport 1.0.11-0jammy.20251215.2201

=== debian/changelog ===
ros-one-point-cloud-transport (1.0.11-0jammy.20251215.2201) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 22:01:13 +0000
