## ros-one-point-cloud-transport 1.0.11-0noble.20251215.2159

=== debian/changelog ===
ros-one-point-cloud-transport (1.0.11-0noble.20251215.2159) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 21:59:18 +0000
