## ros-one-point-cloud-transport 1.0.11-0noble.20260119.2119

=== debian/changelog ===
ros-one-point-cloud-transport (1.0.11-0noble.20260119.2119) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 19 Jan 2026 21:19:15 +0000
